Skip to navigation

Run a specific version of a meter

View as Markdown

Executes a specific version of a meter in Zuora Mediation. You can choose to run it with either a local file or event store source by providing optional configurations.

Note on long-running meters and timeouts: For large meters with many operators, this API call might take longer to return and, in some cases, can time out even though the meter run has been successfully triggered. To safely handle this, provide a uniqueKey field in the request body. If the operation times out, retry the same request with the same uniqueKey. If the original run already exists, the API returns a 400 error indicating a duplicate uniqueKey instead of creating a new run.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

meterIdstringRequired
The ID of the meter to run. You can find this ID in the Zuora Mediation UI URL when viewing a meter.
versionenumRequired

The version of the meter to run. Currently, the only supported value is 0.0.1 for all meters. Always pass 0.0.1 in this path parameter.

Allowed values:

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Request

This endpoint expects an object.
sourceOptionslist of objectsOptional
Settings for meter to run with local file.
eventStoreSourceOptionslist of objectsOptional
Settings for meter to run with event store.
runtimeSourceConfigslist of objectsOptional
Runtime source configurations to override source settings at execution time. Applies to both NORMAL and DEBUG runs.
uniqueKeystringOptional

Optional idempotency key for this meter run. The uniqueKey is scoped to the meter (not tenant-wide).

When you trigger a meter run and the operation times out, you can safely retry the same request using the same uniqueKey. If the original request already created a run, Zuora Mediation returns a 400 error indicating a duplicate uniqueKey and does not start a new run. This behavior ensures idempotency and prevents duplicate meter executions.

Response

Successful meter run
successbooleanOptional
Whether the API request has succeeded.
dataobjectOptional
previousPagestringOptional
Cursor or URL for the previous page of audit records, if available. Used for backward pagination.
nextPagestringOptional
Cursor or URL for the next page of audit records, if available. Used for forward pagination.
errorobjectOptional
Container for error information returned by the API when the request fails.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error